Last Comment Bug 595200 - Cyclic references in HUDService httpActivity
: Cyclic references in HUDService httpActivity
Status: RESOLVED FIXED
[console-1][fixed by bug 673148]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 15
Assigned To: Mihai Sucan [:msucan]
:
:
Mentors:
Depends on: async-webconsole
Blocks: 529086
  Show dependency treegraph
 
Reported: 2010-09-10 08:50 PDT by Mihai Sucan [:msucan]
Modified: 2012-06-02 03:53 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Mihai Sucan [:msucan] 2010-09-10 08:50:21 PDT
In HUDService.startHTTPObservation() the httpObserver builds an httpActivity object and a loggedNode object coming from the HUDService.messageFactory() method.

The messageFactory() takes as input the httpActivity object and returns a messageObject that holds the activityObject property as a reference back to the httpActivity object. Then we have the httpObserver which sets httpActivity.messageObject = loggedNode.

A cyclic reference only spells trouble ahead. We should fix this.
Comment 1 David Dahl :ddahl 2011-03-14 14:58:34 PDT
Not sure if this has actually caused any problems, investigation needed.
Comment 2 Sonny Piers [:sonny] 2012-01-21 20:06:05 PST
This is likely to be fixed by the patch of bug 673148

Note You need to log in before you can comment on or make changes to this bug.